      subroutine wavlen (iwav,irad,wavel)                               WAVL001
c -------------------------------------------------------------------   WAVL002
c     returns the wavelength, which is the array element W(iwav,irad)   WAVL003
c -------------------------------------------------------------------   WAVL004
      parameter (iele = 6)                                              WAVL005
      real w(iele,3)                                                    WAVL006
      data ((w(j,i),i=1,3),j=1,iele)/                                   WAVL007
     & 2.289700,   2.293606  , 2.084870,                                WAVL008
     & 1.936042,   1.939980  , 1.756610,                                WAVL009
     & 1.788965,   1.792850  , 1.620790,                                WAVL010
     & 1.540562,   1.544390  , 1.392218,                                WAVL011
     & 0.709300,   0.713590  , 0.632288,                                WAVL012
     & 0.559410,   0.563800  , 0.497010/                                WAVL013
                                                                        WAVL014
      if (irad.eq.4) then                                               WAVL015
         wavel=(2*W(iwav,1)+W(iwav,2))/3.0                              WAVL016
      else                                                              WAVL017
         wavel=w(iwav,irad)                                             WAVL018
      end if                                                            WAVL019
      return                                                            WAVL020
      end                                                               WAVL021
